\name{medianfilter}
\alias{medianfilter}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{medianfilter}
\description{
Median filter 
}
\usage{
medianfilter(matrix, mask=25, l=NULL, u=NULL, quantile=FALSE)
}
%- maybe also 'usage' for other objects documented here.
\details{
}
\arguments{
  \item{matrix}{matrix representation of an image.}
  \item{mask}{this function uses a box-shaped window of size \eqn{2\cdot mask + 1 \times 2\cdot mask + 1}{2*mask+1 x 2*mask+1}.}
  \item{l}{lower value for rescaling. Default is min(matrix).}
  \item{u}{upper value for rescaling. Default is max(matrix).}
  \item{quantile}{logical; if 'TRUE', quantile is used instead of min/max for rescaling.}
}
\author{Christine Mueller, Alexander Stepper \email{stepper@mathematik.uni-kassel.de}}
\seealso{
\code{\link{rbmp}}, \code{\link{crackrec}}, \code{\link{threshold.msi}}, \code{\link{crackplot}}, \code{\link{shadow.remove}}.
}
\examples{
\dontrun{
medianfilter(matrix, mask=25)
}
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{internal}
