`threshold.msi` <-
function(mat,bw=30)                       ## mat = Matrix des Bildes, bw = Bandweite 
     {
         if(is.matrix(mat) && is.numeric(bw) && bw > 0)   {
			 z <- seq(0,255,1)                     ## Grauwerte
			 N <- length(mat)
			 fE <- seq(from = 0, to = 0,length.out = 256)
			 
			 for (i in 1:256)   {
				 fE[i] <- sum(((mat-z[i])/bw)*exp(-0.5*(((mat-z[i])/bw)^2))/N*bw^2)
			 }
			 return(which.max(fE))
		 }   else   {
			 warning("invalid parameters\n")
		 }
	 }
