\name{shadow.remove}
\alias{shadow.remove}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{shadow.remove}
\description{
Removes shadows at the edges of an image.
}
\usage{
shadow.remove(x)
}
\arguments{
  \item{x}{matrix representation of an image which must have at least 80x80 pixels.}

}
\author{Alexander Stepper \email{stepper@mathematik.uni-kassel.de}}
\examples{
\dontrun{
matrix<-rbmp("image.bmp")
shadow.remove(matrix)
}
}
\seealso{
\code{\link{rbmp}}, \code{\link{crackrec}}, \code{\link{threshold.msi}}, \code{\link{medianfilter}}, \code{\link{crackplot}}.
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{internal}
